<?php
/* Mantenimiento de los registros de la tabla ALM_ItemStockDetHis redefinidos por el usaurio */
class ALM_ItemStockDetHisDP extends BaseALM_ItemStockDetHisDP
{
    public function deleteCompPeriodo()
    {
        $s_SQLQuery = "DELETE FROM ALM_ItemStockDetHis WHERE IdFecha=DATE_FORMAT( '".$this->getIdFecha()."','%Y-%m-%d' ) AND IdCompania=".$this->getIdCompania()." AND IdSucursal=".$this->getIdSucursal().";";
        Conexion::getConexion()->createStatement()->executeQuery( $s_SQLQuery );
        return true;
    }
    
    public function realizarFotoStockFisico()
    {
        $s_SQLQuery = "
INSERT INTO ALM_ItemStockDetHis(IdCompania, IdSucursal, IdFecha, IdAlmacen, IdLote, IdItem, StockFisico, Costo, CostoDolares, FechaCreacion, UsuarioCreacion)
SELECT
  S.IdCompania, S.IdSucursal, DATE_FORMAT( '".$this->getIdFecha()."','%Y-%m-%d' ), S.IdAlmacen, S.IdLote, S.IdItem, coalesce( S.StockFisico, 0 ), coalesce( S.PrecioPromedioLocal, I.PrecioUnitarioLocal ),
  coalesce( S.PrecioPromedioDolares, I.PrecioUnitarioDolares ), DATE_FORMAT( NOW(),'%Y-%m-%d' ), 'wtaype'
FROM ALM_ItemAlmacenStock S
  LEFT JOIN ALM_ItemMast I ON S.IdItem=I.IdItem
WHERE 1=1 AND S.IdCompania=".$this->getIdCompania()." AND S.IdSucursal=".$this->getIdSucursal()."
            ";
        Conexion::getConexion()->createStatement()->executeQuery( $s_SQLQuery );
        return true;
    }
}